local _, private = ...

--[[ Lua Globals ]]
-- luacheck: globals

--[[ Core ]]
local Aurora = private.Aurora
local Base = Aurora.Base
local Skin = Aurora.Skin

--do --[[ FrameXML\PetStable.lua ]]
--end

do --[[ FrameXML\PetStable.xml ]]
    function Skin.PetStableSlotTemplate(CheckButton)
        local name = CheckButton:GetName()

        Base.CropIcon(_G[name.."IconTexture"], CheckButton)
        Base.CropIcon(_G[name.."Background"])
        Base.CropIcon(CheckButton:GetNormalTexture())
        Base.CropIcon(CheckButton:GetPushedTexture())
        Base.CropIcon(CheckButton:GetHighlightTexture())
    end
end

function private.FrameXML.PetStable()
    local PetStableFrame = _G.PetStableFrame
    Base.SetBackdrop(PetStableFrame)
    local bg = PetStableFrame:GetBackdropTexture("bg")
    bg:SetPoint("TOPLEFT", 14, -14)
    bg:SetPoint("BOTTOMRIGHT", -34, 75)

    local portrait, tl, tr, bl, br = PetStableFrame:GetRegions()
    portrait:Hide()
    tl:Hide()
    tr:Hide()
    bl:Hide()
    br:Hide()

    _G.PetStableModel:SetPoint("TOPLEFT", PetStableFrame.Inset)
    _G.PetStableModel:SetPoint("BOTTOMRIGHT", PetStableFrame.Inset)
    _G.PetStableModelRotateLeftButton:Hide()
    _G.PetStableModelRotateRightButton:Hide()

    _G.PetStablePetInfo:SetPoint("TOPLEFT", PetStableFrame.Inset)
    _G.PetStablePetInfo:SetPoint("BOTTOMRIGHT", PetStableFrame.Inset, "TOPRIGHT", 0, -52)

    Skin.PetStableSlotTemplate(_G.PetStableCurrentPet)
    Skin.PetStableSlotTemplate(_G.PetStableStabledPet1)
    Skin.PetStableSlotTemplate(_G.PetStableStabledPet2)

    Skin.UIPanelButtonTemplate(_G.PetStablePurchaseButton)
    Skin.SmallMoneyFrameTemplate(_G.PetStableMoneyFrame)
    Skin.SmallMoneyFrameTemplate(_G.PetStableCostMoneyFrame)
    Skin.UIPanelCloseButton(_G.PetStableFrameCloseButton)
end
