local _, private = ...

--[[ Lua Globals ]]
-- luacheck: globals

--[[ Core ]]
local Aurora = private.Aurora
local Base = Aurora.Base
local Skin = Aurora.Skin

function private.FrameXML.TaxiFrame()
    local TaxiFrame = _G.TaxiFrame
    Base.SetBackdrop(TaxiFrame)
    local bg = TaxiFrame:GetBackdropTexture("bg")
    bg:SetPoint("TOPLEFT", 14, -14)
    bg:SetPoint("BOTTOMRIGHT", -34, 75)

    local portrait, tl, tr, bl, br = TaxiFrame:GetRegions()
    portrait:Hide()
    tl:Hide()
    tr:Hide()
    bl:Hide()
    br:Hide()

    _G.TaxiMerchant:ClearAllPoints()
    _G.TaxiMerchant:SetPoint("TOPLEFT", bg)
    _G.TaxiMerchant:SetPoint("BOTTOMRIGHT", bg, "TOPRIGHT", 0, -private.FRAME_TITLE_HEIGHT)

    Skin.UIPanelCloseButton(_G.TaxiCloseButton)
end
